TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

HenselLift ( elt-alg^pol F, elt-ord^pad x, elt-ord^rat k ) -> elt-ord^pad

### Description

<shortdoc> Hensel lift x, an approximate root of F which satisfies the Hensel condition, to a better root of precision >= k. </shortdoc>

### Examples

x_z5 := pAdicRing(5,20);;x_z5P:= PolynomialAlgebra(x_z5);; x_f:= x_z5P.1^2 +1;; x_x:= Element(x_z5,2);;HenselLift(x_f,x_x,10);

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack